#include <qpainter.h>

#include "base.h"
#include "aPropos.h"

#include "aPropos.xpm"

aPropos::aPropos(QWidget * parent, const char * name)
  : QDialog(parent,name,true)
{
  pm= new QPixmap(aPropos_xpm);

  setCaption(name);
  setFixedSize(pm->size());
  setBackgroundColor(black);
}

aPropos::~aPropos()
{
  delete pm;
}

void aPropos::keyPressEvent(QKeyEvent * ke)
{
  done(0);
}

void aPropos::mousePressEvent(QMouseEvent * me)
{
  done(0);
}

void aPropos::paintEvent(QPaintEvent * pe)
{
  QPainter p;

  p.begin(this);
  p.drawPixmap(0,0,*pm);
  p.end();
}
