#ifndef _barreInfos_h
#define _barreInfos_h

#include <qwidget.h>
#include <qpainter.h>
#include <qpixmap.h>

#include "sommet.h"

class barreInfos: public QWidget
{
  Q_OBJECT
    
 private:
  QPixmap * buffer;

  int nbBrins, nbSommets,epaisseur,bps; // brins par sommet.

 protected:
  void resizeEvent(QResizeEvent *);
  void paintEvent (QPaintEvent  *);

 public:
  barreInfos(QWidget * =0);
  ~barreInfos();

  void setInfos(int,int,int,int);
};

#endif
