#ifndef _bouton_h
#define _bouton_h

#include <qbutton.h>
#include <qpainter.h>
#include <qpixmap.h>

class bouton: public QButton
{
  Q_OBJECT

 private:
  bool pointed;
  bool toggled;
  bool justToggled;
  QString *touche, *info;

  QPixmap *p0, *p1, * buffer;

 protected:
  void enterEvent(QEvent *);
  void leaveEvent(QEvent *);
  void resizeEvent(QResizeEvent *);
  void paintEvent(QPaintEvent *);
  void mousePressEvent (QMouseEvent *);
  void mouseReleaseEvent(QMouseEvent *);

 signals:
   void clic       (bouton *);
   void proprietes (bouton *);
   void relachement(bouton *);

   void texte(QString,QString);

 public:
   bouton(const QPixmap &, const QPixmap &, const char *, const char *, QWidget *);
   ~bouton();

   bool estSelectionne();
   void selectionne   (bool);
};

#endif
