#include <qpixmap.h>

#include "boitounette.h"
#include "dialogPyram.h"

#include "volTPyramide1.xpm"

#define W1 (180)
#define W2 (48)
#define H  (72)

dialogPyram::dialogPyram(QWidget * parent, char * name)
  : QDialog(parent, name, false)
{
  B= new boitounette(3,16,1,this);
  L= new QLabel("Nombre de faces de la base:",this);

  setCaption(name);

  B->setValeur(4);
  B->setPixmap(QPixmap(volTPyramide1_xpm));

  L->setGeometry( 0,0,W1,H);
  B->setGeometry(W1,0,W2,H);

  setFixedSize(W1+W2,H);
}

dialogPyram::~dialogPyram()
{
  delete B;
  delete L;
}

unsigned int dialogPyram::valeur()
{
  return B->valeur();
}
