#ifndef _dialogue_h
#define _dialogue_h

#include <qwidget.h>
#include <qlabel.h>
#include <qslider.h>
#include <qpixmap.h>

#include "boitounette.h"
#include "sommet.h" // pour le type coord

class dialogue: public QWidget
{
  Q_OBJECT

 private:
  QLabel *L1, *L2, *L3;
  boitounette * B1, *B2;
  QSlider * S;

  coord vSlider;

  void setFixedSize(unsigned int, unsigned int);
  void place(QWidget *, unsigned int, unsigned int, unsigned int, unsigned int);

 private slots:
  void valueSliderChanged(int);

 protected:
  void paintEvent(QPaintEvent *);

 public:
  dialogue(QWidget *, char *,
		 char *   , unsigned int   , unsigned int   , unsigned int   , const char * []  , // boite 1
		 char * =0, unsigned int =0, unsigned int =0, unsigned int =0, const char * []=0, // boite 2
		 bool =false); // slider

  ~dialogue();

  unsigned int meridiens ();
  unsigned int paralleles();
  coord grandRayon();
  coord petitRayon();
};

#endif
