#ifndef _mon_bouton_h
#define _mon_bouton_h

#include <qbutton.h>
#include <qpainter.h>
#include <qpixmap.h>

class monBouton: public QButton
{
  Q_OBJECT

 private:
  bool pointed;
  bool toggled;
  QString *touche, *info;

  QPixmap *p0, *p1;

 protected:
  void drawButton(QPainter *);
  void enterEvent(QEvent *);
  void leaveEvent(QEvent *);
  void mousePressEvent(QMouseEvent *);

 signals:
   void selection (monBouton *);
   void proprietes(monBouton *);

   void texte(QString,QString);

 public:
   monBouton(const QPixmap &, const QPixmap &, const char *, const char *, QWidget *);
   ~monBouton();

   void selectionne  ();
   void deselectionne();
};

#endif
