#ifndef _boitounette_h
#define _boitounette_h

#include <qwidget.h>
#include <qspinbox.h>
#include <qpixmap.h>

class boitounette: public QWidget
{
  Q_OBJECT

 private:
  QSpinBox   * sb;
  QPixmap    * pm;

  bool grab;
  QPoint memo     ; // ancienne position du curseur
  int    memoValue; // ancienne valeur de la spinBox

 private slots:
  void slotValueChanged(int);

 protected:
  void paintEvent (QPaintEvent  *);
  void resizeEvent(QResizeEvent *);
  void mousePressEvent  (QMouseEvent *);
  void mouseReleaseEvent(QMouseEvent *);
  void mouseMoveEvent   (QMouseEvent *);

 signals:
  void valueChanged(int);

 public:
  boitounette(int, int, int =1, QWidget * =0, const char * =0);

  ~boitounette();

  void setValeur(int);
  void setPixmap(QPixmap);
  int  valeur();
};

#endif
