#include <qlist.h>

#include "base.h"
#include "brin.h"

brin::brin(sommet * nouvs)
{
  s= NULL;
  setSommet(nouvs);
  setAlpha(0,this);
  setAlpha(1,this);
  setAlpha(2,this);
  setAlpha(3,this);
}

brin::~brin()
{
  s->detache();
  emit modifie(NULL);
}

void brin::setAlpha(int i, const brin * b)
{
  if (a[i]!=b)
    {
	 a[i]= (brin *) b;
	 emit modifie(this);
    }
}

brin * brin::getAlpha(int i) const
{
  return a[i];
}

void brin::setSommet(const sommet * nouvs)
{
  if (nouvs==NULL)
    erreur("brin[setSommet]: Tentative d'attacher un sommet NULL  un brin!");

  if (s!=nouvs)
    {
	 if (s)
	   s->detache();
	 s= (sommet *) nouvs;
	 s->attache();
	 emit modifie(this);
    }
}

sommet * brin::getSommet() const
{
  return s;
}
