#ifndef _couleurs_h_
#define _couleurs_h_

#include <qcolor.h>

//-------------------------------------------------------------------------------------------
// Pour le dessin du Graphe en openGL:
#define C_SOMMET       (QColor(255,255,255))

#define C_SBRIN        (QColor(255,  0,  0)) // brin slectionn
#define C_SFACE        (QColor(255,255,  0)) // face slectionne
#define C_SVOLUME      (QColor(255,128,  0)) // volume slectionn
#define C_SCOMPOSANTE  (QColor(  0,128,  0)) // composante slectionne

#define C_SBRIN2       (C_SBRIN)
#define C_SFACE2       (C_SFACE)

#define C_RESTE        (QColor(150,150,150))

#define C_NORMALE1     (C_SFACE            ) // Vecteur normal de la face slectionne
#define C_NORMALE2     (C_SFACE2           )

#define C_AXES         (QColor(200,200,255))
#define C_GRILLE1      (QColor( 80, 80, 80)) // Couleur de la grille en vue de DESSUS
#define C_GRILLE0      (QColor( 40, 40, 40)) // en vue de DESSOUS (plus foncs)
#define C_FOND         (QColor(  0,  0,  0))

//-------------------------------------------------------------------------------------------
// Pour le modeleur:
#define C_MO_FOND      (QColor(  0,  0, 30))

//-------------------------------------------------------------------------------------------
// Pour la barre d'infos:
#define C_BI_FOND      (C_FOND)
#define C_BI_BORD      (QColor(128,128,128))
#define C_BI_TEXTE     (QColor(255,255,255))

//-------------------------------------------------------------------------------------------
// Pour la barre d'tat:
#define C_BE_FOND      (QColor(  0,  0, 60))
#define C_BE_TEXTE     (QColor(255,255,255))
#define C_BE_BOUTONS   (QColor(255,255,255)) // couleur des boutons souris

//-------------------------------------------------------------------------------------------
#endif
