/* fusion.cc
   ralise la fusion de deux volumes colls par une face
*/

brin* gcarte::fusion(brin * b0) // b doit etre sur 1 des 2 faces  dtruire
{
  // Vrifications:
  if (b0==NULL || b0->getAlpha(3)==b0)
    return b0;
  
  ensemble E= orbiteFace(b0);

  // Calcul du rsultat:
  brin * resultat= (brin *) E.premier();

  while (resultat!=NULL && resultat->getAlpha(2)==resultat)
    resultat= (brin *) E.suivant(resultat);

  if (resultat!=NULL)
    resultat= resultat->getAlpha(2);

  // Mise--jour des coutures:
  brin * b= (brin *) E.premier();
  while (b!=NULL)
    {
	 brin * c = b->getAlpha(3);
	 brin * b2= b->getAlpha(2);
	 brin * c2= c->getAlpha(2);

	 if (b2!=b) b2->setAlpha(2, c2==c ? b2 : c2);
	 if (c2!=c) c2->setAlpha(2, b2==b ? c2 : b2);

	 b->setAlpha(2,b);
	 c->setAlpha(2,c);

	 b= (brin *) E.suivant(b);
    }

  // Suppression des brins en trop:
  supprimeComposante(b0);

  return resultat;
}
