#include <qapplication.h>
#include "base.h"
#include "modeleur.h"

void main(int argc, char ** argv)
{
  QApplication appli(argc,argv);

  modeleur m;
  appli.setMainWidget(&m);

  QObject::connect(&m,SIGNAL(quit()),&appli,SLOT(quit()));

  long int W = appli.desktop()->width ();
  long int H = appli.desktop()->height();
  long int S = H*65/100;

  m.resize(S,S);
  m.move((W-S)/2,(H-S)/2);
  m.show();

  appli.exec();
}
